curl --request GET \
--url https://api.kyckr.com/v2/companies/{kyckrId}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kyckr.com/v2/companies/{kyckrId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kyckr.com/v2/companies/{kyckrId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": 12345,
"correlationId": "<string>",
"customerReference": "<string>",
"timeStamp": "2023-11-07T05:31:56Z",
"details": "<string>",
"cost": {
"type": "credit",
"value": 3
},
"links": {
"self": "/orders/12345"
},
"data": [
{
"id": "<string>",
"cost": {
"type": "credit",
"value": 3
},
"name": "Form 15 - Annual Accounts 2021/22",
"documentDate": "2023-12-25",
"category": "Annual Accounts",
"deliveryTimeMinutes": 15,
"documentFormat": [
"application/pdf"
],
"documentDatapoints": {
"companyDetails": true,
"directors": true,
"shareholders": true,
"declaredBeneficialOwners": true
}
}
],
"continuationKey": "<string>"
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/400",
"title": "Missing Parameter",
"detail": "The `isoCode` parameter is required",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/401",
"title": "Unauthorized",
"detail": "Please authorize before making requests",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/403",
"title": "Forbidden",
"detail": "This feature is not available on this account",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/404",
"title": "Not Found",
"detail": "This resource could not be found",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/429",
"title": "Too Many Requests",
"detail": "This service only allows 50 requests within a 10 minute period",
"errors": []
}
}Documents
Retrieve a list of available documents for a company. After finding a document of interest, use the Create Order API to order a copy of the document.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Kyckr company reference, a shared format, usable across our V2 APIs
Query Parameters
Opaque token returned in the previous response. When provided, the API returns the next page of documents (e.g. next 100 filings). When the previous response had no continuationKey, there are no more pages.
Optional reference supplied by customer for tracking purposes
Response
OK
The related orderId.
12345
The related correlationId to this request, for support purposes.
A customer provided reference, which appears in the order list.
The UTC time at which the request occurred.
The response status details for the current request.
Cost of an item
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When present, pass this value as the continuationKey query parameter on the next request to retrieve the next page of documents. When absent, there are no more pages.